GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
gdb_bfd_data Struct Reference

## Public Member Functions
| gdb_bfd_data (bfd *abfd)
| ~gdb_bfd_data ()

## Public Attributes
int | refc = 1
time_t | mtime
off_t | size
ino_t | inode
dev_t | device_id
unsigned int | relocation_computed: 1
unsigned int | needs_relocations: 1
unsigned int | crc_computed: 1
unsigned long | crc = 0
bfd * | archive_bfd = nullptr
std::vector< gdb_bfd_ref_ptr > | included_bfds
| REGISTRY_FIELDS = {}

## Detailed Description

Definition at line 61 of file gdb_bfd.c.

## Constructor & Destructor Documentation

## ◆ gdb_bfd_data()

gdb_bfd_data::gdb_bfd_data | ( | bfd * | abfd | ) |
| inline

Definition at line 63 of file gdb_bfd.c.

References device_id, and inode.

Referenced by gdb_bfd_ref().

## ◆ ~gdb_bfd_data()

gdb_bfd_data::~gdb_bfd_data | ( |  | ) |
| inline

Definition at line 85 of file gdb_bfd.c.

## Member Data Documentation

## ◆ archive_bfd

bfd* gdb_bfd_data::archive_bfd = nullptr

Definition at line 119 of file gdb_bfd.c.

Referenced by gdb_bfd_mark_parent(), and gdb_bfd_unref().

## ◆ crc

unsigned long gdb_bfd_data::crc = 0

Definition at line 115 of file gdb_bfd.c.

Referenced by gdb_bfd_crc().

## ◆ crc_computed

unsigned int gdb_bfd_data::crc_computed

Definition at line 112 of file gdb_bfd.c.

Referenced by gdb_bfd_crc().

## ◆ device_id

dev_t gdb_bfd_data::device_id

Definition at line 102 of file gdb_bfd.c.

Referenced by eq_bfd(), gdb_bfd_data(), and gdb_bfd_unref().

## ◆ included_bfds

std::vector<gdb_bfd_ref_ptr> gdb_bfd_data::included_bfds

Definition at line 122 of file gdb_bfd.c.

Referenced by gdb_bfd_record_inclusion().

## ◆ inode

ino_t gdb_bfd_data::inode

Definition at line 99 of file gdb_bfd.c.

Referenced by eq_bfd(), gdb_bfd_data(), and gdb_bfd_unref().

## ◆ mtime

time_t gdb_bfd_data::mtime

Definition at line 93 of file gdb_bfd.c.

Referenced by eq_bfd(), and gdb_bfd_unref().

## ◆ needs_relocations

unsigned int gdb_bfd_data::needs_relocations

Definition at line 109 of file gdb_bfd.c.

Referenced by gdb_bfd_requires_relocations().

## ◆ refc

int gdb_bfd_data::refc = 1

Definition at line 90 of file gdb_bfd.c.

Referenced by gdb_bfd_ref(), gdb_bfd_unref(), and print_one_bfd().

## ◆ REGISTRY_FIELDS

gdb_bfd_data::REGISTRY_FIELDS = {}

Definition at line 125 of file gdb_bfd.c.

## ◆ relocation_computed

unsigned int gdb_bfd_data::relocation_computed

Definition at line 106 of file gdb_bfd.c.

Referenced by gdb_bfd_requires_relocations().

## ◆ size

off_t gdb_bfd_data::size

Definition at line 96 of file gdb_bfd.c.

Referenced by eq_bfd(), and gdb_bfd_unref().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/gdb_bfd.c